# Class Power#getPMMode

Power

- Defined in: power.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Power#getPMMode(successCallback, errorCallback) Gets PMMode Info, PMMode has a set of predefined PMMode properties.

## Class Detail

Power#getPMMode(successCallback, errorCallback)
Gets PMMode Info, PMMode has a set of predefined PMMode properties.

    // Javascript code
    function getPMMode () {
    		function successCb(cbObject) {
    			console.log("cbObject : " + JSON.stringify(cbObject));
    			// Do something
    		}
    		function failureCb(cbObject) {
    			var errorCode = cbObject.errorCode;
    			var errorText = cbObject.errorText;
    			console.log ("Error Code [" + errorCode + "]: " + errorText);
    			}
    		var power = new Power();
    		power.getPMMode(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.4
Returns:
  {Object} options

  Property | Type | Description
  --- | --- | ---
  mode | String | PMMode

See:
  Power.setPMMode()